package de.ivu.elect.business.gebietsbaum.entity;

import java.util.List;

import de.ivu.elect.presentation.gebietsbaum.GebietNummerFormatter;

public class GebietsgruppierungCreateGebietPickListProperty extends GebietsgruppierungGebietPickListProperty {

  public GebietsgruppierungCreateGebietPickListProperty(Gebietsgruppierung gebietsgruppierung, List<Gebiet> gebieteVerfuegbar, GebietNummerFormatter gebietNummerFormatter) {
    super(gebietsgruppierung, gebieteVerfuegbar, gebietNummerFormatter);
  }

  @Override
  protected List<Gebiet> getZugeordneteElemente() {
    return asSortedList(getGebietsgruppierung().getZugeordneteGebieteFuerCreate());
  }

  @Override
  protected void setzeZugeordneteElemente(List<Gebiet> gebiete) {
    getGebietsgruppierung().setZugeordneteGebieteFuerCreate(gebiete);
  }

}
